wibble::Regexp Class Reference

`#include <regexp.h>`

Inheritance diagram for wibble::Regexp:
[legend]

## Public Member Functions

| Regexp (const std::string &expr, int match_count=0, int flags=0) throw (wibble::exception::Regexp)
| ~Regexp () throw ()
bool | match (const std::string &str, int flags=0) throw (wibble::exception::Regexp)
std::string | operator[] (int idx) throw (wibble::exception::OutOfRange)
size_t | matchStart (int idx) throw (wibble::exception::OutOfRange)
size_t | matchEnd (int idx) throw (wibble::exception::OutOfRange)
size_t | matchLength (int idx) throw (wibble::exception::OutOfRange)

## Protected Attributes

regex_t | re
regmatch_t * | pmatch
int | nmatch
std::string | lastMatch

## Constructor & Destructor Documentation

## Regexp()

wibble::Regexp::Regexp | ( | const std::string & | expr,
|  | int | match_count = `0`,
|  | int | flags = `0`
| ) |  |
throw | ( | wibble::exception::Regexp
| ) |  |

## ~Regexp()

wibble::Regexp::~Regexp | ( |  | ) |
throw | ( |
| ) |  |

## Member Function Documentation

## match()

bool wibble::Regexp::match | ( | const std::string & | str,
|  | int | flags = `0`
| ) |  |
throw | ( | wibble::exception::Regexp
| ) |  |

Referenced by wibble::tests::TestRegexp::check(), wibble::Lexer< Token, IOStream >::match(), wibble::net::http::Params::parse_multipart(), wibble::net::mime::Reader::read_headers(), and wibble::tests::test_assert_re_match().

## matchEnd()

size_t wibble::Regexp::matchEnd | ( | int | idx | ) |
throw | ( | wibble::exception::OutOfRange
| ) |  |

## matchLength()

size_t wibble::Regexp::matchLength | ( | int | idx | ) |
throw | ( | wibble::exception::OutOfRange
| ) |  |

Referenced by wibble::Lexer< Token, IOStream >::match().

## matchStart()

size_t wibble::Regexp::matchStart | ( | int | idx | ) |
throw | ( | wibble::exception::OutOfRange
| ) |  |

## operator[]()

string wibble::Regexp::operator[] | ( | int | idx | ) |
throw | ( | wibble::exception::OutOfRange
| ) |  |

## Member Data Documentation

## lastMatch

std::string wibble::Regexp::lastMatch

protected

## nmatch

int wibble::Regexp::nmatch

protected

## pmatch

regmatch_t* wibble::Regexp::pmatch

protected

## re

regex_t wibble::Regexp::re

protected

The documentation for this class was generated from the following files:

- regexp.h
- regexp.cpp